> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Price

> Edit a price

Edit an existing price.

<ParamField path="priceId" type="string" required>
  Price ID to edit
</ParamField>

<ParamField path="amount" type="string">
  Updated price amount
</ParamField>

<ParamField path="currency" type="string">
  Updated currency code
</ParamField>

<ParamField path="active" type="boolean">
  Whether the price is active
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data" type="object">
  Updated price data
</ResponseField>

## Example Request

```bash theme={null}
curl -X PATCH https://api.transaction.gg/merchant/price/edit \
  -H "Authorization: Bearer jwt_token" \
  -H "Content-Type: application/json" \
  -d '{
    "priceId": "price_i62wKFQ8sGnLxQ5G",
    "amount": "39.99",
    "currency": "EUR",
    "active": true
  }'
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "id": "price_i62wKFQ8sGnLxQ5G",
    "amount": "39.99",
    "currency": "EUR",
    "active": true,
    "updatedAt": "2024-01-01T00:00:00Z"
  }
}
```

## Error Responses

<ResponseExample name="Price Not Found">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 404,
      "code": "PRICE_NOT_FOUND",
      "message": "Price not found"
    },
    "data": null
  }
  ```
</ResponseExample>
